/*

  28.01.2007

     ReadPortLine  SetPortLine 
   ,   .

*/

#include "inc\lpt32.h"


void SetPortBit(int i, bool x)    // i -  , x - 
{
  unsigned char c = inp32(LPT_BASE);

  if(x) c = c |  (1 << i);
  else  c = c & ~(1 << i);

  out32(LPT_BASE, c);
}


bool ReadPortLine(int i)            // i -  
{                                   // 0-~busy, 1-ack, 2-pe, 3-slct out, 4-error
//     busy

   bool x = (inp32(LPT_STATUS) >> 7 - i) & 1;

   return i ? x : !x;
}



void SetPortLine(int i, bool x)     // i - 
{                                   // 0 - ~Strobe, 1 - ~AutoFeed, 2 - Init, 3 - ~SLCT_IN
//     Init
   if(i != 1) x = !x;

   unsigned char c = inp32(LPT_CONTROL);

   if(x) c = c |  (1 << i);
   else  c = c & ~(1 << i);

   out32(LPT_CONTROL, c);
}
