#ifndef ___LPT32H___
#define ___LPT32H___

#define inp32 Inp32
#define out32 Out32

#define LPT_BASE    0x378
#define LPT_STATUS  LPT_BASE+1
#define LPT_CONTROL LPT_BASE+2

#define STROBE_    0
#define AUTOFEED_  1
#define INIT       2
#define SELECT_IN_ 3

#define BUSY_      0       //    = 7 - i
#define ACK        1
#define PAPEREND   2
#define SELECT     3
#define ERROR      4


extern "C"
{
   short _stdcall Inp32(short PortAddress);
   void  _stdcall Out32(short PortAddress, short data);
}


void SetPortBit(int i, bool x);
bool ReadPortLine(int i);
void SetPortLine(int i, bool x);


#endif
