//---------------------------------------------------------------------------

#ifndef input_formH
#define input_formH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TInputForm : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label;
        TEdit *Edit;
        TBitBtn *OK_BitBtn;
        TBitBtn *Cancel_BitBtn;
private:	// User declarations
public:		// User declarations
        __fastcall TInputForm(TComponent* Owner);
};


bool InputDialog(const AnsiString Caption, const AnsiString Question, AnsiString &Value, bool ShowDefault = true, int MaxLength = 0);

bool InputIntegerDialog(const AnsiString Caption, const AnsiString Question, int        &Value, bool ShowDefault = true, int    min = 0, int    max = 0, bool AllowBounds = true);
bool InputDoubleDialog (const AnsiString Caption, const AnsiString Question, double     &Value, bool ShowDefault = true, double min = 0, double max = 0, bool AllowBounds = true);


//---------------------------------------------------------------------------
extern PACKAGE TInputForm *InputForm;
//---------------------------------------------------------------------------
#endif
