//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop


#include "ks_protocol_form.h"
#include "rx32_main.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TKS_Setup_Form *KS_Setup_Form;
//---------------------------------------------------------------------------
__fastcall TKS_Setup_Form::TKS_Setup_Form(TComponent* Owner)
        : TForm(Owner)
{
   int i, j;

   for(i = 0; i < 8; i++)
   {
      pCB_CheckBox[i] = new TCheckBox(this);

      pCB_CheckBox[i]->Parent = CB_GroupBox;
      pCB_CheckBox[i]->Caption = "";
      pCB_CheckBox[i]->Left = 185 - 19 * i;
      pCB_CheckBox[i]->Top = 20;
      pCB_CheckBox[i]->Width = 15;
      pCB_CheckBox[i]->ShowHint = true;
      pCB_CheckBox[i]->Checked = (Form1->CB >> i) & 1;

      switch(i)
      {
         case 0: pCB_CheckBox[i]->Hint = "WSB ( 148)";
                 break;
         case 1:
         case 2: pCB_CheckBox[i]->Hint = "   (.. 50 )";
                 break;
         case 3:
         case 4:
         case 5: pCB_CheckBox[i]->Hint = " ";
                 break;
         case 6: pCB_CheckBox[i]->Hint = "Charge Pump Current";
                 break;
         case 7: pCB_CheckBox[i]->Checked = true;
                 pCB_CheckBox[i]->Enabled = false;
      }

      for(j = 0; j < 3; j++)
      {
         pBSB_CheckBox[j][i] = new TCheckBox(this);

         pBSB_CheckBox[j][i]->Parent = BSB_GroupBox;
         pBSB_CheckBox[j][i]->Caption = "";
         pBSB_CheckBox[j][i]->Left = 185 - 19 * i;
         pBSB_CheckBox[j][i]->Top = 18 + 16 * j;
         pBSB_CheckBox[j][i]->Width = 15;

         switch(j)
         {
            case 0: pBSB_CheckBox[j][i]->Checked = (Form1->BSB_Low  >> i) & 1;
                    break;
            case 1: pBSB_CheckBox[j][i]->Checked = (Form1->BSB_Mid  >> i) & 1;
                    break;
            case 2: pBSB_CheckBox[j][i]->Checked = (Form1->BSB_High >> i) & 1;
         }
      }
   }
}
//---------------------------------------------------------------------------
void __fastcall TKS_Setup_Form::FormDestroy(TObject *Sender)
{
   int i, j;

   for(i = 0; i < 8; i++)
   {
      for(j = 0; j < 3; j++) delete pBSB_CheckBox[j][i];
      delete pCB_CheckBox[i];
   }
}
//---------------------------------------------------------------------------
void __fastcall TKS_Setup_Form::OK_ButtonClick(TObject *Sender)
{
   int i;

   Form1->CB       = 0;
   Form1->BSB_Low  = 0;
   Form1->BSB_Mid  = 0;
   Form1->BSB_High = 0;

   for(i = 0; i < 7; i++)
   {
      if(pCB_CheckBox[i]->Checked) Form1->CB |= 1 << i;
   }
   for(i = 0, Form1->BSB_Low = 0; i < 8; i++)
   {
      if(pBSB_CheckBox[0][i]->Checked) Form1->BSB_Low  |= 1 << i;
      if(pBSB_CheckBox[1][i]->Checked) Form1->BSB_Mid  |= 1 << i;
      if(pBSB_CheckBox[2][i]->Checked) Form1->BSB_High |= 1 << i;
   }
}
//---------------------------------------------------------------------------

