//---------------------------------------------------------------------------

#ifndef scanH
#define scanH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <Mask.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
struct ScanInterval
{
   unsigned Fmin;
   unsigned Fmax;
   unsigned Step;
};


class TScanForm : public TForm
{
__published:	// IDE-managed Components
        TMaskEdit *ScanF_MaskEdit;
        TBitBtn *ScanStop_BitBtn;
        TProgressBar *Scan_ProgressBar;
        TGroupBox *ScanInfo_GroupBox;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label4;
        TLabel *Pass_Label;
        TLabel *Ignore_Count_Label;
        TLabel *ScanTime_Label;
        TLabel *SI_Label;
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall ScanStop_BitBtnClick(TObject *Sender);

private:	// User declarations
        TList *pList;
        bool ScanFlag, ScanPaused;

public:		// User declarations
        __fastcall TScanForm(TComponent* Owner);

        void __fastcall AddScanInterval(unsigned f_min, unsigned f_max, unsigned f_step);
        void __fastcall Execute();
};
//---------------------------------------------------------------------------
extern PACKAGE TScanForm *ScanForm;
//---------------------------------------------------------------------------
#endif
