//---------------------------------------------------------------------------

#ifndef freq_formH
#define freq_formH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <Mask.hpp>
//---------------------------------------------------------------------------
class TFreqForm : public TForm
{
__published:	// IDE-managed Components
        TMaskEdit *F_MaskEdit;
        TMemo *FComment_Memo;
        TBitBtn *Continue_BitBtn;
        TBitBtn *Stop_BitBtn;
        TProgressBar *Time_ProgressBar;
        TCheckBox *SaveFComment_CheckBox;
        TCheckBox *Ignore_CheckBox;
        TSpeedButton *Pause_SpeedButton;
        TGroupBox *GroupBox1;
        TCheckBox *Known_CheckBox;
        TSpeedButton *Up_SpeedButton;
        TSpeedButton *Down_SpeedButton;
        TSpeedButton *This_SpeedButton;
        TCheckBox *IgnoreNow_CheckBox;
        void __fastcall Continue_BitBtnClick(TObject *Sender);
        void __fastcall Stop_BitBtnClick(TObject *Sender);
        void __fastcall FComment_MemoEnter(TObject *Sender);
        void __fastcall FComment_MemoExit(TObject *Sender);
        void __fastcall FComment_MemoChange(TObject *Sender);
        void __fastcall CheckBoxClick(TObject *Sender);
        void __fastcall UpDown_SpeedButtonClick(TObject *Sender);
private:	// User declarations

        unsigned char Flag;
        bool TimeStop;
        unsigned TimeCount;

public:		// User declarations
        __fastcall TFreqForm(TComponent* Owner);

        int __fastcall Execute(unsigned F);
};
//---------------------------------------------------------------------------
extern PACKAGE TFreqForm *FreqForm;
//---------------------------------------------------------------------------
#endif
