//---------------------------------------------------------------------------

#ifndef freq_inpH
#define freq_inpH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TFreqInputForm : public TForm
{
__published:	// IDE-managed Components
        TBitBtn *OK_BitBtn;
        TBitBtn *Cancel_BitBtn;
        TGroupBox *GroupBox1;
        TEdit *Edit1;
        TLabel *Label1;
        TEdit *Edit2;
        TEdit *Edit3;
        TLabel *FminUnit_Label;
        TLabel *StepUnit_Label;
        TLabel *Fmin_Label;
        TLabel *Fmax_Label;
        TLabel *Step_Label;
        TGroupBox *GroupBox2;
        TRadioButton *F_RadioButton;
        TRadioButton *B_RadioButton;
        void __fastcall RadioButtonClick(TObject *Sender);
        void __fastcall OK_BitBtnClick(TObject *Sender);
        void __fastcall Cancel_BitBtnClick(TObject *Sender);
private:	// User declarations

        bool AllowExit, IsCancel;

public:		// User declarations
        __fastcall TFreqInputForm(TComponent* Owner);

        int __fastcall Execute(double &f1, double &f2, double &f3);
        int __fastcall Execute(double &f);

};
//---------------------------------------------------------------------------
extern PACKAGE TFreqInputForm *FreqInputForm;
//---------------------------------------------------------------------------
#endif
