#include <vcl.h>

#include "rx32_main.h"
#include "intrface.h"


void delay_ms(int t)
{
   static FirstRun = true;
   static _LARGE_INTEGER QPF;
   _LARGE_INTEGER a, b;

   if(FirstRun)
   {
      QueryPerformanceFrequency(&QPF);
      FirstRun = false;

      if(!QPF.QuadPart)
      {
         ShowMessage(MSG_WARNING, "!      \n(Performance Counters)!     \n   Sleep.    .");
         return;
      }
   }

   if(!QPF.QuadPart)
   {
      Sleep(t);
      return;
   }

   QueryPerformanceCounter(&a);
   do
   {
      QueryPerformanceCounter(&b);

   } while (b.QuadPart - a.QuadPart < t * QPF.QuadPart / 1000);
}



void IO_delay(int t)
{
   unsigned long i, unit = Form1->TimeMul_ComboBox->Text.ToInt() * (1 + Form1->Time_TrackBar->Position);

   for(i = 0; i < unit * t; i++);
}





double ToDouble(const AnsiString s)
{
   AnsiString s1 = s.Trim();
   int i;

   for(i = 1; i <= s1.Length(); i++)
      if(s1[i] == ',' || s1[i] == '.') s1[i] = DecimalSeparator;

   return s1.ToDouble();
}